Bug 835779 - RFE: On-Demand copy trans (Initial Implementation).
RFE: On-Demand copy trans (Initial Implementation).
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic, Usability (Show other bugs)
1.6
Unspecified Unspecified
unspecified Severity high
: ---
: 1.6.1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 02:02 EDT by Carlos Munoz
Modified: 2012-07-03 01:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120702-0014)
Doc Type: Bug Fix
Doc Text:
Cause Add a way for project maintainers to run copy trans on-demand from the GUI. Consequence Previously copy trans could only run when pushing documents for the first time. Change A copy trans option is now available in the Project Version page menu. Result Project Maintainers are now able to initiate a copy trans from the GUI. In this revision, it is recommended that a single copy trans be run for a given project iteration at any given time.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 01:27:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-06-27 02:02:45 EDT
Add on-demand copy trans for a project iteration. Only non-approved translations will be modified by this functionality.

This implementation should be an exact port of the current copy trans functionality to the GUI.
Comment 2 Carlos Munoz 2012-06-27 02:11:31 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
Add a way for project maintainers to run copy trans on-demand from the GUI.

Consequence
Previously copy trans could only run when pushing documents for the first time.

Change
A copy trans option is now available in the Project Version page menu.

Result
Project Maintainers are now able to initiate a copy trans from the GUI. In this revision, it is recommended that a single copy trans be run for a given project iteration at any given time.
Comment 3 Ding-Yi Chen 2012-07-01 23:57:36 EDT
VERIFIED with Zanata version 1.6.1-SNAPSHOT (20120702-0014)
Zanata version 1.7-SNAPSHOT (20120702-0025)

Note You need to log in before you can comment on or make changes to this bug.